YSTest: YSLib::Components::ImageBrush Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
YSLib::Components::ImageBrush Class Reference

图像画刷。 More...

`#include <YBrush.h>`

Collaboration diagram for YSLib::Components::ImageBrush:
[legend]

## Public Member Functions

yconstfn | ImageBrush ()=default
| ImageBrush (const shared_ptr< Drawing::Image > &h)
| ImageBrush (shared_ptr< Drawing::Image > &&h)
| ImageBrush (const ImageBrush &)=default
| ImageBrush (ImageBrush &&)=default
ImageBrush & | operator= (const ImageBrush &)=default
ImageBrush & | operator= (ImageBrush &&)=default
void | operator() (PaintEventArgs &&)

## Public Attributes

shared_ptr< Drawing::Image > | Image

## Detailed Description

图像画刷。

Since
  build 294

Definition at line 60 of file YBrush.h.

## Constructor & Destructor Documentation

yconstfn YSLib::Components::ImageBrush::ImageBrush | ( |  | ) |

default

YSLib::Components::ImageBrush::ImageBrush | ( | const shared_ptr< Drawing::Image > & | h | ) |

inline

Definition at line 66 of file YBrush.h.

YSLib::Components::ImageBrush::ImageBrush | ( | shared_ptr< Drawing::Image > && | h | ) |

inline

Definition at line 69 of file YBrush.h.

YSLib::Components::ImageBrush::ImageBrush | ( | const ImageBrush & |  | ) |

default

YSLib::Components::ImageBrush::ImageBrush | ( | ImageBrush && |  | ) |

default

## Member Function Documentation

void ImageBrush::operator() | ( | PaintEventArgs && | e | ) |

Definition at line 47 of file YBrush.cpp.

References YSLib::Drawing::CopyTo(), YSLib::Drawing::BitmapBuffer::GetContext(), YSLib::Drawing::Rect::GetPoint(), YSLib::Drawing::Rect::GetSize(), and YSLib::Drawing::Graphics::GetSize().

Here is the call graph for this function:

ImageBrush& YSLib::Components::ImageBrush::operator= | ( | const ImageBrush & |  | ) |

default

ImageBrush& YSLib::Components::ImageBrush::operator= | ( | ImageBrush && |  | ) |

default

## Member Data Documentation

shared_ptr<Drawing::Image> YSLib::Components::ImageBrush::Image

mutable

Definition at line 63 of file YBrush.h.

The documentation for this class was generated from the following files:

- YBrush.h
- YBrush.cpp